Subject: Re: linux-next: manual merge of the userns tree with the cel tree

From: [email-masked] (Eric W. Biederman)
Date: Fri, 17 Dec 2021 10:40:12 -0600

Stephen Rothwell <[email-masked]> writes:

> Hi Mark,
>
> On Thu, 16 Dec 2021 20:22:32 +0000 Mark Brown <[email-masked]> wrote:
>>
>> On Thu, Dec 16, 2021 at 07:34:12PM +0000, [email-masked] wrote:
>> > Hi all,
>> > 
>> > Today's linux-next merge of the userns tree got a conflict in:
>> > 
>> >   fs/nfsd/nfssvc.c  
>> 
>> This is also causing further build errors including but not limited to:
>> 
>> /tmp/next/build/kernel/fork.c: In function 'copy_process':
>> /tmp/next/build/kernel/fork.c:2106:4: error: label 'bad_fork_cleanup_threadgroup_lock' used but not defined
>>  2106 |    goto bad_fork_cleanup_threadgroup_lock;
>>       |    ^~~~
>> 
>> Partly due to vaccine side effects and partly in the interest of time
>> I'm going to use the userns tree from yesterday.
>
> Caused by commit
>
>   40966e316f86 ("kthread: Ensure struct kthread is present for all kthreads")
>
> The label is guarded by CONFIG_NUMA, but the new goto is not.
>
> This is still failing, so I have used the userns tree from next-20211215
> for today.

Huh.  I thought I fixed that.

I will dig in later today.  I just got power back after a bad storm so I
have not see the emails until just now.

Eric